## org.jboss.netty.channel
Interface ChannelPipelineFactory

    public interface ChannelPipelineFactory

Creates a new `ChannelPipeline` for a new `Channel`.

When a server-side channel accepts a new incoming connection, a new child channel is created for each newly accepted connection. A new child channel uses a new `ChannelPipeline`, which is created by the `ChannelPipelineFactory` specified in the server-side channel's `"pipelineFactory"` option.

Also, when a `ClientBootstrap` or `ConnectionlessBootstrap` creates a new channel, it uses the `"pipelineFactory"` property to create a new `ChannelPipeline` for each new channel.

Version:
  $Rev: 2145 $, $Date: 2010-02-09 12:56:29 +0900 (Tue, 09 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`ChannelPipeline` `getPipeline()` Returns a newly created `ChannelPipeline`.

Method Detail

### getPipeline

    ChannelPipeline getPipeline()
                                throws Exception

  Returns a newly created `ChannelPipeline`.

  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.